Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06829 Misc. Critical (emulator) Always Jan 6, 2018, 16:31 31 days ago
Tester Firewave View Status Public Platform
Assigned To hap Resolution Fixed OS
Status [?] Resolved Driver
Version 0.193 Fixed in Version 0.250 Build
Fixed in Git Commit 8835e5a Github Pull Request #
Summary 06829: 720 and clones: AddressSanitizer: heap-buffer-overflow
Description
==83487==ERROR: AddressSanitizer: heap-buffer-overflow on address 0x615000097e00 at pc 0x00000c8f1b39 bp 0x7ffc6bd71ab0 sp 0x7ffc6bd71aa8
READ of size 1 at 0x615000097e00 thread T0
    #0 0xc8f1b38 in internal_read /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/machine/eeprom.cpp:307:10
    #1 0xc8f1b38 in eeprom_base_device::read(unsigned int) /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/machine/eeprom.cpp:123
    #2 0xc8f49ec in eeprom_parallel_28xx_device::read(address_space&, unsigned int, unsigned char) /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/machine/eeprompar.cpp:182:30
    #3 0xe25846c in operator() /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/lib/util/delegate.h:544:11
    #4 0xe25846c in read8 /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/emumem.cpp:405
    #5 0xe25846c in read_native /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/emumem.cpp:1145
    #6 0xe25846c in address_space_specific<unsigned char, (endianness_t)0, 0, false>::read_byte(unsigned int) /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/emumem.cpp:1463
    #7 0xae83a06 in m6502_device::mi_default_normal::read(unsigned short) /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/cpu/m6502/m6502.cpp:512:18
    #8 0xaeda76c in read /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/cpu/m6502/m6502.h:132:45
    #9 0xaeda76c in m6502_device::lda_abx_full() /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../generated/emu/cpu/m6502/m6502.hxx:4650
    #10 0xaf93127 in m6502_device::do_exec_full() /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../generated/emu/cpu/m6502/m6502.hxx:14709:13
    #11 0xae81f62 in execute_run /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/cpu/m6502/m6502.cpp:388:3
    #12 0xae81f62 in non-virtual thunk to m6502_device::execute_run() /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/cpu/m6502/m6502.cpp
    #13 0xe78e272 in run /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/diexec.h:188:15
    #14 0xe78e272 in device_scheduler::timeslice() /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/schedule.cpp:481
    #15 0xe6a324b in running_machine::run(bool) /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/machine.cpp:357:17
    #16 0x8cd10e0 in mame_machine_manager::execute() /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/frontend/mame/mame.cpp:236:19
    #17 0x8e1e0d3 in cli_frontend::start_execution(mame_machine_manager*, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > > const&) /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/frontend/mame/clifront.cpp:257:22
    #18 0x8e20ee0 in cli_frontend::execute(std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&) /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/frontend/mame/clifront.cpp:273:3
    #19 0x8cd3717 in emulator_info::start_frontend(emu_options&, osd_interface&, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&) /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/frontend/mame/mame.cpp:336:18
    #20 0x8acddf2 in main /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/osd/sdl/sdlmain.cpp:216:9
    #21 0x7f2233f3182f in __libc_start_main /build/glibc-bfm8X4/glibc-2.23/csu/../csu/libc-start.c:291
    #22 0x1431838 in _start (/mnt/mame/mame64_as+0x1431838)

0x615000097e00 is located 0 bytes to the right of 512-byte region [0x615000097c00,0x615000097e00)
allocated by thread T0 here:
    #0 0x14fd8a2 in operator new[](unsigned long) /opt/media/clang_nightly/llvm/utils/release/final/llvm.src/projects/compiler-rt/lib/asan/asan_new_delete.cc:95:3
    #1 0xc8f3555 in make_unique<unsigned char []> /usr/lib/gcc/x86_64-linux-gnu/5.4.0/../../../../include/c++/5.4.0/bits/unique_ptr.h:771:30
    #2 0xc8f3555 in eeprom_base_device::device_start() /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/machine/eeprom.cpp:207
    #3 0xc8f46bd in device_start /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/machine/eeprompar.cpp:80:22
    #4 0xc8f46bd in eeprom_parallel_28xx_device::device_start() /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/machine/eeprompar.cpp:131
    #5 0xe0e345d in device_t::start() /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/device.cpp:489:2
    #6 0xe6a1f65 in running_machine::start_all_devices() /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/machine.cpp:1040:13
    #7 0xe6a005d in running_machine::start() /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/machine.cpp:265:2
    #8 0xe6a2a41 in running_machine::run(bool) /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/machine.cpp:310:3
    #9 0x8cd10e0 in mame_machine_manager::execute() /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/frontend/mame/mame.cpp:236:19
    #10 0x8e1e0d3 in cli_frontend::start_execution(mame_machine_manager*, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > > const&) /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/frontend/mame/clifront.cpp:257:22
    #11 0x8e20ee0 in cli_frontend::execute(std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&) /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/frontend/mame/clifront.cpp:273:3
    #12 0x8cd3717 in emulator_info::start_frontend(emu_options&, osd_interface&, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&) /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/frontend/mame/mame.cpp:336:18
    #13 0x8acddf2 in main /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/osd/sdl/sdlmain.cpp:216:9
    #14 0x7f2233f3182f in __libc_start_main /build/glibc-bfm8X4/glibc-2.23/csu/../csu/libc-start.c:291

SUMMARY: AddressSanitizer: heap-buffer-overflow /mnt/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/machine/eeprom.cpp:307:10 in internal_read
Shadow bytes around the buggy address:
  0x0c2a8000af70: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x0c2a8000af80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
  0x0c2a8000af90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
  0x0c2a8000afa0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
  0x0c2a8000afb0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
=>0x0c2a8000afc0:[fa]fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x0c2a8000afd0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
  0x0c2a8000afe0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
  0x0c2a8000aff0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
  0x0c2a8000b000: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
  0x0c2a8000b010: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
Shadow byte legend (one shadow byte represents 8 application bytes):
  Addressable:           00
  Partially addressable: 01 02 03 04 05 06 07 
  Heap left redzone:       fa
  Freed heap region:       fd
  Stack left redzone:      f1
  Stack mid redzone:       f2
  Stack right redzone:     f3
  Stack after return:      f5
  Stack use after scope:   f8
  Global redzone:          f9
  Global init order:       f6
  Poisoned by user:        f7
  Container overflow:      fc
  Array cookie:            ac
  Intra object redzone:    bb
  ASan internal:           fe
  Left alloca redzone:     ca
  Right alloca redzone:    cb
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems 720 and clones
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.14649
Firewave
Senior Tester
Jan 11, 2018, 12:23
It access the NVRAM at index 256 and then at index 512 (which is out-of-bounds already) and then starts going back from index 511. Looks like it is testing how big the NVRAM is and the out-of-bounds access is supposed to return a certain (or not a certain) value so it knows that is not available. Since this is the generic eeprom code I wonder if there is some feature missing.
User avatar
No.20116
Robbbert
Senior Tester
Apr 28, 2022, 13:59
This seems to be working now, with the debug build.
User avatar
No.20725
Firewave
Senior Tester
Nov 5, 2022, 08:45
0.249 reports the following:
==4614==ERROR: AddressSanitizer: heap-buffer-overflow on address 0x61500009b280 at pc 0x7fabedee98c1 bp 0x7fffc87feed0 sp 0x7fffc87feec8
READ of size 1 at 0x61500009b280 thread T0
    #0 0x7fabedee98c0 in eeprom_base_device::internal_read(unsigned int) /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/machine/eeprom.cpp:286:10
    #1 0x7fabedee95aa in eeprom_base_device::read(unsigned int) /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/machine/eeprom.cpp:100:9
    #2 0x7fabedef038e in eeprom_parallel_28xx_device::read(address_space&, unsigned int) /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/machine/eeprompar.cpp:170:30
    #3 0x7fabf3a3e39f in util::detail::delegate_base<delegate_late_bind, unsigned char, address_space&, unsigned int>::operator()(address_space&, unsigned int) const /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/lib/util/delegate.h:765:11
    #4 0x7fabf39fef6f in std::enable_if<(((std::is_same<emu::device_delegate<unsigned char (address_space&, unsigned int)>, emu::device_delegate<unsigned char (address_space&, unsigned int)> >::value) || (std::is_same<emu::device_delegate<unsigned char (address_space&, unsigned int)>, emu::device_delegate<unsigned short (address_space&, unsigned int)> >::value)) || (std::is_same<emu::device_delegate<unsigned char (address_space&, unsigned int)>, emu::device_delegate<unsigned int (address_space&, unsigned int)> >::value)) || (std::is_same<emu::device_delegate<unsigned char (address_space&, unsigned int)>, emu::device_delegate<unsigned long (address_space&, unsigned int)> >::value), unsigned char>::type handler_entry_read_delegate<0, 0, emu::device_delegate<unsigned char (address_space&, unsigned int)> >::read_impl<emu::device_delegate<unsigned char (address_space&, unsigned int)> >(unsigned int, unsigned char) const /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/emumem_hedp.cpp:25:9
    #5 0x7fabf39fedc0 in handler_entry_read_delegate<0, 0, emu::device_delegate<unsigned char (address_space&, unsigned int)> >::read(unsigned int, unsigned char) const /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/emumem_hedp.cpp:70:9
    #6 0x7fabe50925ee in emu::detail::handler_entry_size<0>::uX dispatch_read<0, 0, 0>(unsigned int, unsigned int, emu::detail::handler_entry_size<0>::uX, handler_entry_read<0, 0> const* const*) /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/emumem.h:1570:47
    #7 0x7fabf43bbee9 in handler_entry_read_dispatch<14, 0, 0>::read(unsigned int, unsigned char) const /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/emumem_hedr.ipp:132:9
    #8 0x7fabdeaf3431 in emu::detail::handler_entry_size<0>::uX dispatch_read<1, 0, 0>(unsigned int, unsigned int, emu::detail::handler_entry_size<0>::uX, handler_entry_read<0, 0> const* const*) /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/emumem.h:1570:47
    #9 0x7fabdeaee7b1 in read_native /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/emumem.h:1737:10
    #10 0x7fabdeaee7b1 in emu::detail::memory_access_specific<1, 0, 0, (util::endianness)0>::read_byte(unsigned int) /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/emumem.h:1643:66
    #11 0x7fabea12f37e in m6502_device::mi_default::read(unsigned short) /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/cpu/m6502/m6502.cpp:540:17
    #12 0x7fabea0f857c in m6502_device::read(unsigned short) /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/cpu/m6502/m6502.h:138:45
    #13 0x7fabea1cd81a in m6502_device::lda_abx_full() /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../generated/emu/cpu/m6502/m6502.hxx:4965:6
    #14 0x7fabea3365cb in m6502_device::do_exec_full() /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../generated/emu/cpu/m6502/m6502.hxx:15802:13
    #15 0x7fabea12b676 in m6502_device::execute_run() /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/cpu/m6502/m6502.cpp:408:3
    #16 0x7fabea12ba0f in non-virtual thunk to m6502_device::execute_run() /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/cpu/m6502/m6502.cpp
    #17 0x7fabf91a5817 in run /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/diexec.h:190:15
    #18 0x7fabf91a5817 in device_scheduler::timeslice() /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/schedule.cpp:456:14
    #19 0x7fabf903e4a7 in running_machine::run(bool) /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/machine.cpp:329:17
    #20 0x7fabfc1a4f7f in mame_machine_manager::execute() /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/frontend/mame/mame.cpp:290:19
    #21 0x7fabfc3998d6 in cli_frontend::start_execution(mame_machine_manager*, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > > const&) /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/frontend/mame/clifront.cpp:275:22
    #22 0x7fabfc39d41f in cli_frontend::execute(std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&) /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/frontend/mame/clifront.cpp:291:3
    #23 0x7fabfc1a9d5f in emulator_info::start_frontend(emu_options&, osd_interface&, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&) /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/frontend/mame/mame.cpp:454:18
    #24 0x7fabf938058b in main /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/osd/sdl/sdlmain.cpp:191:9
    #25 0x7fabb7889209 in __libc_start_call_main csu/../sysdeps/nptl/libc_start_call_main.h:58:16
    #26 0x7fabb78892bb in __libc_start_main csu/../csu/libc-start.c:389:3
    #27 0x7fabd6b0a260 in _start (/mnt/s/GitHub/mame/mame+0x1d397260) (BuildId: 603d3d1c300651feb2a8e3ac6e9cb58d3f85e77b)

0x61500009b280 is located 0 bytes to the right of 512-byte region [0x61500009b080,0x61500009b280)
allocated by thread T0 here:
    #0 0x7fabd6bc7f8d in operator new[](unsigned long) (/mnt/s/GitHub/mame/mame+0x1d454f8d) (BuildId: 603d3d1c300651feb2a8e3ac6e9cb58d3f85e77b)
    #1 0x7fabedeeb56b in make_unique<unsigned char[]> /usr/bin/../lib/gcc/x86_64-linux-gnu/12/../../../../include/c++/12/bits/unique_ptr.h:1080:30
    #2 0x7fabedeeb56b in eeprom_base_device::device_start() /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/machine/eeprom.cpp:184:11
    #3 0x7fabedeefba9 in device_start /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/machine/eeprompar.cpp:80:22
    #4 0x7fabedeefba9 in eeprom_parallel_28xx_device::device_start() /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/machine/eeprompar.cpp:119:31
    #5 0x7fabf281a410 in device_t::start() /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/device.cpp:562:2
    #6 0x7fabf903d2df in running_machine::start_all_devices() /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/machine.cpp:1013:13
    #7 0x7fabf903b2b4 in running_machine::start() /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/machine.cpp:211:2
    #8 0x7fabf903e0dc in running_machine::run(bool) /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/emu/machine.cpp:281:3
    #9 0x7fabfc1a4f7f in mame_machine_manager::execute() /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/frontend/mame/mame.cpp:290:19
    #10 0x7fabfc3998d6 in cli_frontend::start_execution(mame_machine_manager*, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > > const&) /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/frontend/mame/clifront.cpp:275:22
    #11 0x7fabfc39d41f in cli_frontend::execute(std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&) /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/frontend/mame/clifront.cpp:291:3
    #12 0x7fabfc1a9d5f in emulator_info::start_frontend(emu_options&, osd_interface&, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&) /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/frontend/mame/mame.cpp:454:18
    #13 0x7fabf938058b in main /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/osd/sdl/sdlmain.cpp:191:9
    #14 0x7fabb7889209 in __libc_start_call_main csu/../sysdeps/nptl/libc_start_call_main.h:58:16

SUMMARY: AddressSanitizer: heap-buffer-overflow /mnt/s/GitHub/mame/build/projects/sdl/mame/gmake-linux-clang/../../../../../src/devices/machine/eeprom.cpp:286:10 in eeprom_base_device::internal_read(unsigned int)
Shadow bytes around the buggy address:
  0x0c2a8000b600: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x0c2a8000b610: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
  0x0c2a8000b620: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
  0x0c2a8000b630: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
  0x0c2a8000b640: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
=>0x0c2a8000b650:[fa]fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x0c2a8000b660: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x0c2a8000b670: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x0c2a8000b680: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x0c2a8000b690: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x0c2a8000b6a0: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
Shadow byte legend (one shadow byte represents 8 application bytes):
  Addressable:           00
  Partially addressable: 01 02 03 04 05 06 07 
  Heap left redzone:       fa
  Freed heap region:       fd
  Stack left redzone:      f1
  Stack mid redzone:       f2
  Stack right redzone:     f3
  Stack after return:      f5
  Stack use after scope:   f8
  Global redzone:          f9
  Global init order:       f6
  Poisoned by user:        f7
  Container overflow:      fc
  Array cookie:            ac
  Intra object redzone:    bb
  ASan internal:           fe
  Left alloca redzone:     ca
  Right alloca redzone:    cb
User avatar
No.20773
hap
Developer
31 days ago
probably fixed here: https://github.com/mamedev/mame/commit/8835e5ad9af1d2eb66bc1500eb1fcaef1240eed7
User avatar
No.20775
Firewave
Senior Tester
31 days ago
Cherry-picked and fix confirmed.